import Button from '@material-ui/core/Button'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import './explorationError.scss'

const ExplorationError = () => {
  const { t } = useI18n()
  const navigate = useNavigate()

  return (
    <div className="exploration-error-container">
      <div className="exploration-error-message">
        {t('exploration.global_error')}
      </div>
      <div className="exploration-error-button">
        <Button
          aria-label={t('exploration.accessibility.button_go_back')}
          onClick={() => navigate(-1)}
          className="btnSecondary"
        >
          {t('exploration.button_go_back')}
        </Button>
      </div>
    </div>
  )
}

export default ExplorationError
