import Link from '@material-ui/core/Link'
import AccessibilityIcon from 'assets/icons/ico/accessibility.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import '../GCU/gcuLink.scss'

const Accessibility = () => {
  const { t } = useI18n()
  return (
    <div className="gcu-link-root">
      <div className="gcu-link-content">
        <Link
          className="gcu-link-card-link"
          href="https://ecolyo.com/accessibilite.html"
          target="_blank"
        >
          <div className="card">
            <div className="gcu-link-card">
              <div className="gcu-link-card-content">
                <StyledIcon
                  className="gcu-link-card-content-icon"
                  icon={AccessibilityIcon}
                  size={42}
                />
                <div className="gcu-link-card-content-title">
                  {t('common.title_accessibility')}
                </div>
              </div>
            </div>
          </div>
        </Link>
      </div>
    </div>
  )
}

export default Accessibility
