import logos from 'assets/png/logos_partenaires.svg'
import Content from 'components/Content/Content'
import CozyBar from 'components/Header/CozyBar'
import Header from 'components/Header/Header'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import Accessibility from './Accessibility/Accessibility'
import ExportData from './ExportData/ExportData'
import GCULink from './GCU/GCULink'
import HelpLink from './HelpLink/HelpLink'
import LegalNoticeLink from './LegalNotice/LegalNoticeLink'
import MatomoOptOut from './MatomoOptOut/MatomoOptOut'
import ProfileTypeOptions from './ProfileTypeOptions/ProfileTypeOptions'
import ReportOptions from './ReportOptions/ReportOptions'
import Version from './Version/Version'

const OptionsView = () => {
  const { t } = useI18n()

  return (
    <>
      <CozyBar titleKey="common.title_options" />
      <Header desktopTitleKey="common.title_options" />
      <Content>
        <ProfileTypeOptions />
        <ExportData />
        <ReportOptions />
        <HelpLink />
        <LegalNoticeLink />
        <GCULink />
        <Accessibility />
        <MatomoOptOut />
        <div className="parameters-logos">
          <img src={logos} alt={t(`common.funders_logo`)} />
        </div>
        <Version />
      </Content>
    </>
  )
}

export default OptionsView
