import { DateTime } from 'luxon'
import { mockAnalysisState } from 'tests/__mocks__/store'
import { analysisSlice, setAnalysisMonth, setPeriod } from './analysis.slice'

describe('analysis reducer', () => {
  it('should return the initial state', () => {
    const initialState = analysisSlice.getInitialState()
    expect(initialState).toEqual({
      ...mockAnalysisState,
      analysisMonth: DateTime.local().minus({ months: 1 }).startOf('day'),
    })
  })

  describe('setPeriod', () => {
    it('should handle setPeriod', () => {
      const state = analysisSlice.reducer(mockAnalysisState, setPeriod('year'))
      expect(state).toEqual({
        ...mockAnalysisState,
        period: 'year',
      })
    })
  })

  describe('setAnalysisMonth', () => {
    it('should handle setAnalysisMonth', () => {
      const state = analysisSlice.reducer(
        mockAnalysisState,
        setAnalysisMonth(DateTime.local(2023, 2, 1))
      )
      expect(state).toEqual({
        ...mockAnalysisState,
        analysisMonth: DateTime.local(2023, 2, 1),
      })
    })
  })
})
