import { UsageEventType } from 'enums'
import { DateTime } from 'luxon'
import { UsageEvent, UsageEventEntity } from 'models'

export const usageEventEntityData: UsageEventEntity = {
  _id: '0001',
  type: UsageEventType.PROFILE_SET_EVENT,
  eventDate: '2020-10-10T08:08:08.008Z',
  aggregated: false,
}

export const usageEventData: UsageEvent = {
  _id: '0001',
  type: UsageEventType.PROFILE_SET_EVENT,
  eventDate: DateTime.fromISO('2020-10-10T08:08:08.008Z', {
    zone: 'utc',
  }),
  aggregated: false,
}

export const allUsageEventsData: UsageEvent[] = [
  {
    _id: '0001',
    type: UsageEventType.PROFILE_SET_EVENT,
    eventDate: DateTime.fromISO('2020-10-10T08:08:08.008Z', {
      zone: 'utc',
    }),
    aggregated: false,
  },
  {
    _id: '0002',
    type: UsageEventType.REPORT_FROM_EMAIL,
    target: 'analysis',
    eventDate: DateTime.fromISO('2020-10-10T08:09:08.008Z', {
      zone: 'utc',
    }),
    aggregated: false,
  },
  {
    _id: '0003',
    type: UsageEventType.PROFILE_SET_EVENT,
    eventDate: DateTime.fromISO('2020-10-11T08:08:08.008Z', {
      zone: 'utc',
    }),
    aggregated: false,
  },
  {
    _id: '0004',
    type: UsageEventType.REPORT_FROM_EMAIL,
    context: 'analysis',
    eventDate: DateTime.fromISO('2020-10-11T08:09:08.008Z', {
      zone: 'utc',
    }),
    aggregated: false,
  },
]

export const profileSetEventEntitiesData: UsageEventEntity[] = [
  {
    _id: '0001',
    type: UsageEventType.PROFILE_SET_EVENT,
    eventDate: '2020-10-10T08:08:08.008Z',
    aggregated: false,
  },
  {
    _id: '0002',
    type: UsageEventType.PROFILE_SET_EVENT,
    eventDate: '2020-10-11T08:08:08.008Z',
    aggregated: false,
  },
]

export const profileSetUsageEventsData: UsageEvent[] = [
  {
    _id: '0001',
    type: UsageEventType.PROFILE_SET_EVENT,
    eventDate: DateTime.fromISO('2020-10-10T08:08:08.008Z', {
      zone: 'utc',
    }),
    aggregated: false,
  },
  {
    _id: '0002',
    type: UsageEventType.PROFILE_SET_EVENT,
    eventDate: DateTime.fromISO('2020-10-11T08:08:08.008Z', {
      zone: 'utc',
    }),
    aggregated: false,
  },
]
